# Global parameters
# Edit realm,workgroup and idmap config range and backend, to have your correct DOMAIN name
[global]
        realm = DOMAIN.COM
        workgroup = DOMAIN
        printcap name = cups
        security = ADS
        template homedir = /home/%U
        template shell = /bin/bash
        winbind enum groups = Yes
        winbind enum users = Yes
        winbind use default domain = Yes
        idmap config DOMAIN : range = 20000-90000
        idmap config DOMAIN : backend = rid
        idmap config * : range = 2000-9999
        idmap config * : backend = tdb
        store dos attributes = Yes
        cups options = raw
        map acl inherit = Yes
        vfs objects = acl_xattr
		
## The following block will share teh root of the glusterfs volume VOLNAME
## Edit VOLNAME	to have the correct name of the glusterfs volume you are sharing
[share]
        comment = Gluster volume
        path = /
        kernel share modes = No
        guest ok = Yes
        read only = No
        valid users = root
        vfs objects = glusterfs
        glusterfs:loglevel = 7
        glusterfs:logfile = /var/log/samba/glusterfs-VOLNAME.%M.log
        glusterfs:volume = VOLNAME

## The following block will share the directory "subdirectory" of the glusterfs volume VOLNAME
## Edit VOLNAME	to have the correct name of the glusterfs volume you are sharing
[subshare]
        comment = Gluster sub directory volume
        path = /subdirectory
        kernel share modes = No
        guest ok = Yes
        read only = No
        valid users = root
        vfs objects = glusterfs
        glusterfs:loglevel = 7
        glusterfs:logfile = /var/log/samba/glusterfs-VOLNAME.%M.log
        glusterfs:volume = VOLNAME		